Bug 368181 - ts_done name in te off by one
ts_done name in te off by one
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-06 08:13 EST by Curtis Doty
Modified: 2014-01-21 18:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 22:58:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Curtis Doty 2007-11-06 08:13:42 EST
Not sure if this is just cosmetic error? And if it's related to a second bug
possibly in pm-utils%(post)?

But during a routine system update, something b0rk in the postinstall scriptlet
for pm-utils, and then the cleanup stage spat out a bunch of these errors like
it was confused and referring to the wrong package in an internal list...

# yum update
Loading "downloadonly" plugin
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package rpm.i386 0:4.4.2.2-2.fc7 set to be updated
---> Package cups-libs.i386 1:1.2.12-6.fc7 set to be updated
---> Package conntrack-tools.i386 0:0.9.5-3.fc7 set to be updated
---> Package rpm-python.i386 0:4.4.2.2-2.fc7 set to be updated
---> Package rpm-build.i386 0:4.4.2.2-2.fc7 set to be updated
---> Package pm-utils.i386 0:0.99.4-3.fc7 set to be updated
--> Processing Dependency: radeontool for package: pm-utils
--> Processing Dependency: vbetool for package: pm-utils
---> Package subversion.i386 0:1.4.4-1.fc7 set to be updated
---> Package pango.i386 0:1.16.4-2.fc7 set to be updated
---> Package popt.i386 0:1.10.2.2-2.fc7 set to be updated
---> Package libpng.i386 2:1.2.22-1.fc7 set to be updated
---> Package perl.i386 4:5.8.8-25.fc7 set to be updated
---> Package python.i386 0:2.5-14.fc7 set to be updated
---> Package openssl.i686 0:0.9.8b-15.fc7 set to be updated
---> Package groff.i386 0:1.18.1.4-7.fc7 set to be updated
---> Package rpm-libs.i386 0:4.4.2.2-2.fc7 set to be updated
---> Package tar.i386 2:1.15.1-28.fc7 set to be updated
---> Package dmraid.i386 0:1.0.0.rc14-4.fc7 set to be updated
---> Package perl-libs.i386 4:5.8.8-25.fc7 set to be updated
---> Package kernel-headers.i386 0:2.6.23.1-10.fc7 set to be updated
---> Package python-libs.i386 0:2.5-14.fc7 set to be updated
---> Package yum.noarch 0:3.2.7-1.fc7 set to be updated
--> Running transaction check
---> Package radeontool.i386 0:1.5-2.fc7 set to be updated
---> Package vbetool.i386 0:0.7-2.fc7 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 conntrack-tools         i386       0.9.5-3.fc7      updates            96 k
     replacing  conntrack.i386 1.0-0.3.beta2.fc7

Updating:
 cups-libs               i386       1:1.2.12-6.fc7   updates           186 k
 dmraid                  i386       1.0.0.rc14-4.fc7  updates           554 k
 groff                   i386       1.18.1.4-7.fc7   updates           1.9 M
 kernel-headers          i386       2.6.23.1-10.fc7  updates           644 k
 libpng                  i386       2:1.2.22-1.fc7   updates           244 k
 openssl                 i686       0.9.8b-15.fc7    updates           1.4 M
 pango                   i386       1.16.4-2.fc7     updates           357 k
 pm-utils                i386       0.99.4-3.fc7     updates            27 k
 popt                    i386       1.10.2.2-2.fc7   updates            70 k
 python-libs             i386       2.5-14.fc7       updates           560 k
 rpm-build               i386       4.4.2.2-2.fc7    updates           295 k
 rpm-libs                i386       4.4.2.2-2.fc7    updates           921 k
 rpm-python              i386       4.4.2.2-2.fc7    updates            57 k
 subversion              i386       1.4.4-1.fc7      updates           2.3 M
 tar                     i386       2:1.15.1-28.fc7  updates           743 k
 yum                     noarch     3.2.7-1.fc7      updates           551 k
Installing for dependencies:
 radeontool              i386       1.5-2.fc7        updates            20 k
 vbetool                 i386       0.7-2.fc7        updates            64 k
Updating for dependencies:
 perl                    i386       4:5.8.8-25.fc7   updates            10 M
 perl-libs               i386       4:5.8.8-25.fc7   updates           567 k
 python                  i386       2.5-14.fc7       updates           5.4 M
 rpm                     i386       4.4.2.2-2.fc7    updates           1.2 M

Transaction Summary
=============================================================================
Install      3 Package(s)         
Update      20 Package(s)         
Remove       0 Package(s)         

Total download size: 28 M
Is this ok [y/N]: y
Downloading Packages:
(1/23): yum-3.2.7-1.fc7.n 100% |=========================| 551 kB    00:10     
(2/23): vbetool-0.7-2.fc7 100% |=========================|  64 kB    00:00     
(3/23): python-libs-2.5-1 100% |=========================| 560 kB    00:10     
(4/23): kernel-headers-2. 100% |=========================| 644 kB    00:11     
(5/23): perl-libs-5.8.8-2 100% |=========================| 567 kB    00:10     
(6/23): dmraid-1.0.0.rc14 100% |=========================| 554 kB    00:10     
(7/23): tar-1.15.1-28.fc7 100% |=========================| 743 kB    00:13     
(8/23): rpm-libs-4.4.2.2- 100% |=========================| 921 kB    00:17     
(9/23): groff-1.18.1.4-7. 100% |=========================| 1.9 MB    00:37     
(10/23): openssl-0.9.8b-1 100% |=========================| 1.4 MB    00:27     
(11/23): python-2.5-14.fc 100% |=========================| 5.4 MB    01:45     
(12/23): perl-5.8.8-25.fc 100% |=========================|  10 MB    03:19     
(13/23): libpng-1.2.22-1. 100% |=========================| 244 kB    00:04     
(14/23): popt-1.10.2.2-2. 100% |=========================|  70 kB    00:00     
(15/23): pango-1.16.4-2.f 100% |=========================| 357 kB    00:06     
(16/23): subversion-1.4.4 100% |=========================| 2.3 MB    00:44     
(17/23): pm-utils-0.99.4- 100% |=========================|  27 kB    00:00     
(18/23): rpm-build-4.4.2. 100% |=========================| 295 kB    00:04     
(19/23): radeontool-1.5-2 100% |=========================|  20 kB    00:00     
(20/23): rpm-python-4.4.2 100% |=========================|  57 kB    00:00     
(21/23): conntrack-tools- 100% |=========================|  96 kB    00:02     
(22/23): cups-libs-1.2.12 100% |=========================| 186 kB    00:03     
(23/23): rpm-4.4.2.2-2.fc 100% |=========================| 1.2 MB    00:22     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating  : popt                         ####################### [ 1/44] 
  Updating  : openssl                      ####################### [ 2/44] 
  Updating  : libpng                       ####################### [ 3/44] 
  Updating  : cups-libs                    ####################### [ 4/44] 
  Installing: vbetool                      ####################### [ 5/44] 
  Updating  : dmraid                       ####################### [ 6/44] 
  Updating  : pango                        ####################### [ 7/44] 
  Installing: radeontool                   ####################### [ 8/44] 
  Updating  : pm-utils                     ####################### [ 9/44] 
error: %post(pm-utils-0.99.4-3.fc7.i386) scriptlet failed, exit status 1
  Updating  : kernel-headers               ####################### [10/44] 
  Updating  : tar                          ####################### [11/44] 
  Updating  : groff                        ####################### [12/44] 
  Installing: conntrack-tools              ####################### [13/44] 
  Updating  : python                       ####################### [14/44] 
  Updating  : rpm-libs                     ####################### [15/44] 
  Updating  : perl                         ####################### [16/44] 
  Updating  : rpm                          ####################### [17/44] 
  Updating  : rpm-python                   ####################### [18/44] 
  Updating  : python-libs                  ####################### [19/44] 
  Updating  : perl-libs                    ####################### [20/44] 
  Updating  : subversion                   ####################### [21/44] 
  Updating  : rpm-build                    ####################### [22/44] 
  Updating  : yum                          ####################### [23/44] 
  Cleanup   : rpm                          ####################### [24/44] 
  Cleanup   : cups-libs                    ####################### [25/44] 
  Erasing   : conntrack                    ####################### [26/44] 
  Cleanup   : rpm-python                   ####################### [27/44] 
  Cleanup   : rpm-build                    ####################### [28/44] 
  Cleanup   : subversion                   ####################### [29/44] 
ts_done name in te is pm-utils should be subversion
  Cleanup   : pango                        ####################### [30/44] 
ts_done name in te is subversion should be pango
/var/tmp/rpm-tmp.90686: line 24: /etc/pango/i686-redhat-linux-gnu/pango.modules:
No such file or directory
  Cleanup   : popt                         ####################### [31/44] 
ts_done name in te is pango should be popt
  Cleanup   : libpng                       ####################### [32/44] 
ts_done name in te is popt should be libpng
  Cleanup   : perl                         ####################### [33/44] 
ts_done name in te is libpng should be perl
  Cleanup   : python                       ####################### [34/44] 
ts_done name in te is perl should be python
  Cleanup   : openssl                      ####################### [35/44] 
ts_done name in te is python should be openssl
  Cleanup   : groff                        ####################### [36/44] 
ts_done name in te is openssl should be groff
  Cleanup   : rpm-libs                     ####################### [37/44] 
ts_done name in te is groff should be rpm-libs
  Cleanup   : tar                          ####################### [38/44] 
ts_done name in te is rpm-libs should be tar
  Cleanup   : dmraid                       ####################### [39/44] 
ts_done name in te is tar should be dmraid
  Cleanup   : perl-libs                    ####################### [40/44] 
ts_done name in te is dmraid should be perl-libs
  Cleanup   : kernel-headers               ####################### [41/44] 
ts_done name in te is perl-libs should be kernel-headers
  Cleanup   : python-libs                  ####################### [42/44] 
ts_done name in te is kernel-headers should be python-libs
  Cleanup   : yum                          ####################### [43/44] 
ts_done name in te is python-libs should be yum

Installed: conntrack-tools.i386 0:0.9.5-3.fc7
Dependency Installed: radeontool.i386 0:1.5-2.fc7 vbetool.i386 0:0.7-2.fc7
Updated: cups-libs.i386 1:1.2.12-6.fc7 dmraid.i386 0:1.0.0.rc14-4.fc7 groff.i386
0:1.18.1.4-7.fc7 kernel-headers.i386 0:2.6.23.1-10.fc7 libpng.i386
2:1.2.22-1.fc7 openssl.i686 0:0.9.8b-15.fc7 pango.i386 0:1.16.4-2.fc7
pm-utils.i386 0:0.99.4-3.fc7 popt.i386 0:1.10.2.2-2.fc7 python-libs.i386
0:2.5-14.fc7 rpm-build.i386 0:4.4.2.2-2.fc7 rpm-libs.i386 0:4.4.2.2-2.fc7
rpm-python.i386 0:4.4.2.2-2.fc7 subversion.i386 0:1.4.4-1.fc7 tar.i386
2:1.15.1-28.fc7 yum.noarch 0:3.2.7-1.fc7
Dependency Updated: perl.i386 4:5.8.8-25.fc7 perl-libs.i386 4:5.8.8-25.fc7
python.i386 0:2.5-14.fc7 rpm.i386 0:4.4.2.2-2.fc7
Replaced: conntrack.i386 0:1.0-0.3.beta2.fc7
Complete!
Comment 1 Curtis Doty 2007-11-06 08:17:51 EST
Afterward, I had to manually rpm -e pm-utils-0.99.3-6.fc7. And it went without
issue.
Comment 2 Panu Matilainen 2007-11-06 08:29:17 EST
The ts_done messages are harmless if ugly, see bug 307541 for gory details. This
differs from 307541 in that this is caused by scriptlet error, the other is
because of unpack error but the root issue is the same.
Comment 3 Seth Vidal 2007-12-06 22:58:20 EST
either way it's either notabug or a cantfix. potayto or potahto. closing.

Note You need to log in before you can comment on or make changes to this bug.